> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-go/documents/user-manuals/magneflex-browser-developer-tool-programmers-reference-web-api/magneflex-browser-web-api-resources/requestmanualcard-pinpad-only.md).

# requestManualCard (PinPad Only)

This query string instructions the device to prompt for a manual card entry.

{% code overflow="wrap" %}

```
&operation= 
&httpMethod= 
&closeDeviceAfter= 
&readerArgument= 
&destinationURL= 
&requestLocation= 
&passInData=
```

{% endcode %}

<table data-header-hidden><thead><tr><th valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">operation</td><td valign="top"><p>Operation to request from MagneFlex. Use:</p><p>requestManualCard</p></td></tr><tr><td valign="top">httpMethod</td><td valign="top"><p>HTTP method to be used for the HTTP postback from MagneFlex. Use:</p><p>GET - returns the response data in the form of a query string. POST – recommended for EVM related transactions to accommodate limits on query string lengths.</p></td></tr><tr><td valign="top">closeDeviceAfter</td><td valign="top"><p>Flag to close the device after the request. Use:</p><p>true – close device</p><p>false – do not close the device</p></td></tr><tr><td valign="top">readerArgument</td><td valign="top"><p>Data to send for the device to be passed to MagneFlex. Arguments:</p><p>timeLimit:, option:, tone:, endSession:</p><p>Argument details:</p><p>timeLimit - Seconds the device will wait for the user to complete the operation in hexadecimal:</p><p>(1 - 255)</p><p> </p><p>option - This is an ORed combination of flags that changes the device’s data entry request behavior. Value is decimal equivalent of the binary value.</p><p>Bits 0 and 1</p><p>0 = Acct,Date,CVC</p><p>1 = Acct,Date</p><p>2 = Acct,CVC</p><p>3 = Acct</p><p> </p><p>Bit 2</p><p>1=Use Qwick Codes entry</p><p> </p><p>Bit 3</p><p>1=Use PAN in PIN block creation</p><p> </p><p>Bit 4</p><p>0=Use PAN min 9, max 19</p><p>1=Use PAN min 14, max 21</p><p> </p><p>tone – Beep behavior of prompt:</p><p>0 = None</p><p>1 = Single beep</p><p>2 = Double beep</p><p> </p><p>endSession - Flag to end the session for the device. Default value is true.</p><p>“true” = End the session after the request is processed.</p><p>“false” = Do not end the session after the request is processed.</p></td></tr><tr><td valign="top">destinationURL</td><td valign="top">MagneFlex will send the postback to this URL.</td></tr><tr><td valign="top">requestLocation</td><td valign="top"><p>Flag to send GPS location of the device from which Magneflex (iOS only) is hosted.</p><p>Use:</p><p>true – send location</p><p>false – do not send location</p></td></tr><tr><td valign="top">passInData</td><td valign="top">Optional data to send to MagneFlex. This data will be passed back to the web app.</td></tr></tbody></table>

Each input parameter supplied in the request is delimited by an ampersand character ‘&’, and the value for a parameter begins after an equal character ‘=’. Where ever a parameter contains multiple values, each are delimited by a comma character ‘,’.

**Example query:**

{% code overflow="wrap" %}

```
https://192.168.10.100/magneflexdemo/default.aspx? 
operation=requestManualCard
&httpMethod=GET 
&closeDeviceAfter=true
&readerArgument=
    timeLimit:3C, 
    option:8, 
    tone:00, 
    endSession:true
&destinationURL=https://192.168.10.100/magneflexdemo/cardpostback.aspx 
&requestLocation=false
&passInData=
```

{% endcode %}

**Return Value:**

The CardSwipe output in TVL format.

<table data-header-hidden><thead><tr><th width="131.27276611328125" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">errorCode</td><td valign="top">Error status. 0 is Success. Non-Zero is an error.</td></tr><tr><td valign="top">errorMessage</td><td valign="top">Description of the errorCode.</td></tr><tr><td valign="top">opType</td><td valign="top"><p>The type of operation. For this command the value is:</p><p>CARD_MANUAL_SWIPE</p></td></tr><tr><td valign="top">cardDataIn</td><td valign="top">Manual card entry data in TLV format.</td></tr><tr><td valign="top">passInData</td><td valign="top">Optional data to send to MagneFlex. This data will be passed back to the web app.</td></tr></tbody></table>

**Example:**

{% code overflow="wrap" %}

```
https://192.168.10.100/magneflexdemo/cardpostback.aspx?errorCode=0&err orMessage=OK&opType=CARD_MANUAL_SWIPE&cardDataIn=FA81EBDFDF25103938444 6323041393034313230423045F481D4DFDF30020000DFDF3139254D313131313030303
030343030303030313131315E4D414E55414C20454E5452592F5E32323232303030303
030303030303030303030303FDFDF32020000DFDF33273B31313131303030303034303
0303030313131313D32323232303030303030303030303030303FDFDF34020100DFDF3
500DFDF371C%M1111000004000001111^MANUAL ENTRY/^22220000000000000000?DFDF3913;1111000004000001111=2222000000000 0000?DFDF3B00DFDF3C00DFDF430400000000DFDF500A9500030000000120000C&pass
InData=

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-go/documents/user-manuals/magneflex-browser-developer-tool-programmers-reference-web-api/magneflex-browser-web-api-resources/requestmanualcard-pinpad-only.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
